XMLDSSFromXMLSchema
Keywords: uk.ac.bbk.dcs.automed.xml.wrappers.XMLDSSFromXMLSchema class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.xml.wrappers
Class XMLDSSFromXMLSchema

    java.lang.Object
      uk.ac.bbk.dcs.automed.xml.wrappers.XMLDSSFromXMLSchema

    public class XMLDSSFromXMLSchema

extends java.lang.Object

Parses an XML Schema and creates the corresponding XMLDSS in DOM format.

IMPORTANT: an XML Schema that passes through this algorithm with no exceptions/errors is not to be considered valid!

Features not yet supported:

- Substitution groups
- Type substitution
- Redefine elements
- Namespaces: although the class is namespace-aware, it is not yet guaranteed that it will handle namespaces well
- Any declarations

Model groups: all model group declarations are treated as 'all' model group declarations, as this is the way the XMLDSS of a given XML file would be created. This means that the special behaviour of choice group and this of nesting model groups is ignored.

Wildcards: if the XML Schema contains any element or attribute wildcards, it will obviously ignore them, as it will not know what content to create.

Ignored declarations: the following declarations are ignored, as they obviously do not contribute to the XMLDSS content.

- ID/IDREF/IDREFS
- key/keyref
- annotation
- import

Should any unexpected behaviour of the algorithm occur (error/exception/unexpected XMLDSS) please contact the author of the class, specifying the problem and supplying the XML Schema used.

Author:
  Lucas Zamboulis

Field Summary
`protected static java.util.logging.Logger` | `logger`

Method Summary
`static org.w3c.dom.Document` | `getXMLDSSDoc(java.lang.String URI, java.lang.String schemaName, java.lang.String xsdRootName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static java.util.logging.Logger logger

Method Detail

### getXMLDSSDoc

    public static org.w3c.dom.Document getXMLDSSDoc(java.lang.String URI,
                                                    java.lang.String schemaName,
                                                    java.lang.String xsdRootName)
                                             throws XMLException

  Throws:
    `XMLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD